Available buyer market: Korean
You can use this feature for the product in the status of RELEASE_STOP_UNCHECKED or both RETURNS_UNCHECKED and release status of "N" when running a query on a list of return requests as a result of customers cancelling their orders.
The feature is designed for the product already shipped by seller.
The feature is designed for the product already shipped by seller.
<Caution!>If the product was shipped in spite of customer's request for 'release stop', the seller is liable for a round trip shipping fee for return.
Path
PATCH PUT
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| receiptId | O | Number |
Receipt ID
|
||||
| vendorId | O | String |
Vendor ID
A unique code Coupang assigns to a vendor
e.g.) A00012345 |
||||
Body Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Vendor ID
A unique code Coupang assigns to a vendor
e.g.) A00012345 |
||||
| receiptId | O | Number |
Receipt ID
|
||||
| deliveryCompanyCode | O | String |
Courier code
|
||||
| invoiceNumber | O | String |
Invoice number
|
||||
Request Example
{
"vendorId": "TESTVENDORID",
"receiptId": 12346897,
"deliveryCompanyCode": "KDEXP",
"invoiceNumber": "70432743577"
}
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | String |
Server response code
|
||||
| message | String |
Server response message
|
||||
| data | Object |
|
||||
| resultCode | String |
SUCCESS/FAIL
|
||||
| resultMessage | String |
Result message
|
||||
Response Example
{
"data": {
"code": "200",
"message": "OK",
"resultCode": "SUCCESS",
"resultMessage": "Released status changed successfully.}
}
Error Spec
| HTTP status code (error type) | Error message | Solution |
|---|---|---|
| 400 (Check the requested variable) | You cannot register invoice number as you already have one registered. (To upload the same invoice number : the recipient should be the same person) [Consolidated packaging number : 10275****15] | Check that the registered invoice number is the one already registered on Coupang. Refer to FAQ |
| 400 (Check the requested variable) | Invoice number is not valid. [Consolidated packaging number : 1167***03] | Check that the entered invoice number is correct. |
URL API Name
STOP_RETURN_REQUEST_BY_RECEIPT